{
  "name": "Procesos del Motor",
  "body": [
    {
      "url": "quo/Engine?paquete=std&clase=Std&metodo=$(metodo)&data=&parametros=$(parametros)",
      "formData": {
        "metodo": "$(metodoUrl)",
        "parametros": {
          "tabla": "tprc",
          "tablaHijo": "",
          "campoId": "TPrcId",
          "cabe": "[$(resultData)]"
        }
      },
      "componente": "GenericForm",
      "cerrarAlConfirmarOK": true,
      "mensajeExitoso": "El Procesos del Motor fue $(accion) exitosamente",
      "mensajeError": "El Procesos del Motor no pude ser $(accion)",
      "fields": [
        {
          "visible": true,
          "esId": true,
          "name": "TPrcId",
          "disabled": false,
          "label": "Id",
          "validations": {
            "minLength": {
              "message": "La cantidad de digitos debe ser mayor a 0",
              "value": 0
            },
            "required": "El campo Id es requerido",
            "maxLength": {
              "message": "La cantidad de digitos debe ser menor a 10",
              "value": 10
            }
          },
          "type": "number"
        },
        {
          "visible": true,
          "name": "TPrcNom",
          "disabled": false,
          "label": "Nombre",
          "validations": {
            "minLength": {
              "message": "El largo del valor ingresado debe ser mayor a 0",
              "value": 0
            },
            "required": "",
            "maxLength": {
              "message": "El largo del valor ingresado debe ser menor a 50",
              "value": 50
            }
          },
          "type": "text"
        },
        {
          "multiselect": false,
          "visible": true,
          "name": "EmpresaId",
          "tabla": "empresa",
          "disabled": false,
          "label": "Empresa",
          "validations": { "required": "" },
          "text": "empNombre",
          "id": "empId",
          "type": "supercombobox"
        }
        ]
    }],
  "columnas": [
    {
      "visible": true,
      "esId": true,
      "name": "TPrcId",
      "disabled": false,
      "label": "Id",
      "validations": {
        "minLength": {
          "message": "La cantidad de digitos debe ser mayor a 0",
          "value": 0
        },
        "required": "El campo Id es requerido",
        "maxLength": {
          "message": "La cantidad de digitos debe ser menor a 10",
          "value": 10
        }
      },
      "type": "number"
    },
    {
      "visible": true,
      "name": "TPrcNom",
      "disabled": false,
      "label": "Nombre",
      "validations": {
        "minLength": {
          "message": "El largo del valor ingresado debe ser mayor a 0",
          "value": 0
        },
        "required": "",
        "maxLength": {
          "message": "El largo del valor ingresado debe ser menor a 50",
          "value": 50
        }
      },
      "type": "text"
    },
    {
      "visible": true,
      "name": "EmpresaId",
      "disabled": false,
      "label": "Empresa Id",
      "validations": {
        "minLength": {
          "message": "El largo del valor ingresado debe ser mayor a 0",
          "value": 0
        },
        "required": "",
        "maxLength": {
          "message": "El largo del valor ingresado debe ser menor a 50",
          "value": 50
        }
      },
      "type": "text"
    }
  ]
}
